[m-dev.] for review: get cvs to check log messages
Fergus Henderson
fjh at cs.mu.OZ.AU
Thu Nov 9 22:04:43 AEDT 2000
Hi,
Any objections to the following?
If not, I'll commit this within the next couple of days.
----------
Estimated hours taken: 0.25
CVSROOT/checklog:
New script, for checking that the log message has been filled in.
CVSROOT/verifymsg:
Run the checklog script.
Workspace: /home/pgrad/fjh/cvs
Index: CVSROOT/checklog
===================================================================
RCS file: checklog
diff -N checklog
--- /dev/null Thu Mar 30 14:06:13 2000
+++ checklog Thu Nov 9 16:31:42 2000
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# checklog filename
+#
+# Verify that the log message has been filled in.
+#
+if grep '<overview or general description of changes>' $1 ||
+ grep '<directory>/<file>:' $1 ||
+ grep '<detailed description of changes>' $1
+then
+ echo
+ echo "The log message has not been filled in properly."
+ echo "It still contains the <...> bits from the template."
+ exit 1
+else
+ exit 0
+fi
Index: CVSROOT/verifymsg
===================================================================
RCS file: /home/staff/zs/imp/CVSROOT/verifymsg,v
retrieving revision 1.1
diff -u -d -r1.1 verifymsg
--- CVSROOT/verifymsg 1999/11/19 04:24:07 1.1
+++ CVSROOT/verifymsg 2000/11/09 05:23:51
@@ -19,3 +19,4 @@
# One thing that should be noted is the the ALL keyword is not
# supported. There can be only one entry that matches a given
# repository.
+DEFAULT /home/mercury1/repository/CVSROOT/checklog
--
Fergus Henderson <fjh at cs.mu.oz.au> | "I have always known that the pursuit
| of excellence is a lethal habit"
WWW: <http://www.cs.mu.oz.au/~fjh> | -- the last words of T. S. Garp.
--------------------------------------------------------------------------
mercury-developers mailing list
Post messages to: mercury-developers at cs.mu.oz.au
Administrative Queries: owner-mercury-developers at cs.mu.oz.au
Subscriptions: mercury-developers-request at cs.mu.oz.au
--------------------------------------------------------------------------
More information about the developers
mailing list